# Class AboutEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.AboutEvent

All Implemented Interfaces:
  `Serializable`

public final class AboutEvent extends AppEvent
Event sent when the application is asked to open its about window.

Since:
  9
See Also:
  - `AboutHandler.handleAbout(AboutEvent)`
  - Serialized Form

## Field Summary

### Fields declared in class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AboutEvent()`
Constructs an `AboutEvent`.

## Method Summary

### Methods declared in class EventObject

`getSource, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AboutEvent

public AboutEvent()
Constructs an `AboutEvent`.

Throws:
  `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
  `UnsupportedOperationException` - if Desktop API is not supported on the current platform
See Also:
  - `Desktop.isDesktopSupported()`
  - `GraphicsEnvironment.isHeadless()`